---
title: "Cleaning up my Game Boy Colour"
date: 2023-07-25T06:52:08
slug: cleaning-up-my-game-boy-colour

---
I've still got my old Atomic Purple Game Boy Colour. Well, it's not the one I got for my birthday in 1999 (opening that + Pokémon Red is a core memory), because I smashed that against a wall by throwing it instead of a basketball when I was about 9. But it _is_ one I've had for about 12 years, when my now wife bought it for me as a present.

Anyway, a few years ago I made the unwise decision to put a cheap front light mod onto it, because the IPS screens were expensive on eBay and I didn't trust Aliexpress. And it sucked. I (wisely) didn't want to cut an extra hole in the GB shell, so I didn't put the variable resistor in, meaning the brightness was at 100% all the time. It also smudged the LCD display, which damaged it and made it patchy and horrible to look at.

It stopped me playing it for about 4 years, which is far too long. So I decided I'd scrap modern day modifications, and just try and revert it to it's original state. I bought the original LCD and a new glass cover off eBay for the princely sum of £13, and then once they arrived I set to work ripping out the mod.

It wasn't hard to do; I was, and still am, terrible at soldering so it was easy to just pull the wires I'd added out, and then take the old LCD with the horrible front light plate off. Then it was just a case of slotting the new display in, being careful not to snap the ribbon cable, and put it back together. I also took the opportunity to clean out the shell, it had 25 years of muck in there, so was kind of gross - and it was the transparent plastic, so it was very visible.

Anyway, after all that, my Game Boy Colour looks more-or-less as good as it did back in the day, which I'm very happy about. I also replaced the battery in my copy of Pokémon Red while I was there, which took about 5 minutes to do, as it had died.

![An atomic purple Game Boy Colour, looking clean and almost new](./src/images/B951D2B9-EF4B-48A8-BAAA-567290555918_1_105_c-576x1024.jpeg)
